program TestMmt;

uses FFT, Moments;

var
    sig, sig0: fourier_record;
    filt: fourier_mag;
    mean, stdv, skew, kurt: Double;
    nspec, i: Integer;

begin
    mean := 3.917;
    stdv := 1.328;
    skew := 1.601;
    kurt := 5.485;
    MomentModel(mean,stdv,skew,kurt,filt,512,0.046);
    for i := 0 to 1023 do sig.s[i] := 0;
    Randomize;
    for i := 0 to 511 do
        sig.s[256+i] := (Random - 0.5)*Sin(Pi*i/512);
    for i := 0 to 1023 do
        sig0.s[i] := sig.s[i];
    MomentFilt(sig,10,filt,512);

    for i := 0 to 1023 do
        Writeln(i:10,sig.s[i]:10:6,sig0.s[i]:10:6);

end.