UNIT DSPFast; {Copyright 1987, 1992 Paul Milenkovic ALL RIGHTS RESERVED}

INTERFACE

FUNCTION DotProduct(VAR a, b; n: INTEGER): SINGLE;

INLINE(
    $8C/$DA/            {MOV DX,DS}
    $B8/$04/$00/        {MOV AX,0004}
    $59/                {POP CX}
    $5F/                {POP DI}
    $07/                {POP ES}
    $5E/                {POP SI}
    $1F/                {POP DS}
    $9B/$D9/$EE/        {FLDZ}

    $9B/$D9/$04/        {FLD [SI]}
    $9B/$26/$D8/$0D/    {FMUL ES:[DI]}
    $01/$C6/            {ADD SI,AX}
    $9B/$DE/$C1/        {FADDP}
    $01/$C7/            {ADD DI,AX}
    $E2/$F0/            {LOOP}

    $8E/$DA/            {MOV DS,DX}
    $9B                 {WAIT}
);


FUNCTION DotProduct2(VAR a, b; n, m: INTEGER): SINGLE;

INLINE(
    $8C/$DA/            {MOV DX,DS}
    $58/                {POP AX}
    $D1/$E0/            {SHL AX,1}
    $D1/$E0/            {SHL AX,1}
    $59/                {POP CX}
    $5F/                {POP DI}
    $07/                {POP ES}
    $5E/                {POP SI}
    $1F/                {POP DS}
    $9B/$D9/$EE/        {FLDZ}

    $9B/$D9/$04/        {FLD [SI]}
    $9B/$26/$D8/$0D/    {FMUL ES:[DI]}
    $01/$C6/            {ADD SI,AX}
    $9B/$DE/$C1/        {FADDP}
    $01/$C7/            {ADD DI,AX}
    $E2/$F0/            {LOOP}

    $8E/$DA/            {MOV DS,DX}
    $9B                 {WAIT}
);


FUNCTION RevProduct(VAR a, b; n: INTEGER): SINGLE;

INLINE(
    $8C/$DA/            {MOV DX,DS}
    $B8/$04/$00/        {MOV AX,0004}
    $59/                {POP CX}
    $5F/                {POP DI}
    $07/                {POP ES}
    $5E/                {POP SI}
    $1F/                {POP DS}
    $9B/$D9/$EE/        {FLDZ}

    $9B/$D9/$04/        {FLD [SI]}
    $9B/$26/$D8/$0D/    {FMUL ES:[DI]}
    $29/$C6/            {SUB SI,AX}
    $9B/$DE/$C1/        {FADDP}
    $01/$C7/            {ADD DI,AX}
    $E2/$F0/            {LOOP}

    $8E/$DA/            {MOV DS,DX}
    $9B                 {WAIT}
);


FUNCTION IDotProduct(VAR a, b; n: INTEGER): LONGINT;

INLINE(
    $59/                {POP  CX}
    $5F/                {POP  DI}
    $07/                {POP  ES}
    $5E/                {POP  SI}
    $5A/                {POP  DX}
    $1E/                {PUSH DS}
    $55/                {PUSH BP}
    $BB/$00/$00/        {MOV  BX,0}
    $BD/$00/$00/        {MOV  BP,0}
    $8E/$DA/            {MOV  DS,DX}

    $8B/$04/            {MOV  AX,[SI]}
    $26/$F7/$2D/        {IMUL ES:[DI]}
    $01/$C3/            {ADD  BX,AX}
    $11/$D5/            {ADC  BP,DX}
    $46/                {INC  SI}
    $46/                {INC  SI}
    $47/                {INC  DI}
    $47/                {INC  DI}
    $E2/$F1/            {LOOP}

    $89/$D8/            {MOV  AX,BX}
    $89/$EA/            {MOV  DX,BP}
    $5D/                {POP  BP}
    $1F                 {POP  DS}
);


FUNCTION IDotProduct1(VAR a, b; n: INTEGER): INTEGER;

INLINE(
    $59/                {POP  CX}
    $5F/                {POP  DI}
    $07/                {POP  ES}
    $5E/                {POP  SI}
    $5A/                {POP  DX}
    $1E/                {PUSH DS}
    $55/                {PUSH BP}
    $BB/$00/$00/        {MOV  BX,0}
    $BD/$00/$00/        {MOV  BP,0}
    $8E/$DA/            {MOV  DS,DX}

    $8B/$04/            {MOV  AX,[SI]}
    $26/$F7/$2D/        {IMUL ES:[DI]}
    $01/$C3/            {ADD  BX,AX}
    $11/$D5/            {ADC  BP,DX}
    $46/                {INC  SI}
    $46/                {INC  SI}
    $47/                {INC  DI}
    $47/                {INC  DI}
    $E2/$F1/            {LOOP}

    $D1/$D3/            {RCL  BX}
    $D1/$D5/            {RCL  BP}
    $89/$E8/            {MOV  AX,BP}
    $5D/                {POP  BP}
    $1F                 {POP  DS}
);


FUNCTION IDotProduct2(VAR a, b; n: INTEGER): INTEGER;

INLINE(
    $59/                {POP  CX}
    $5F/                {POP  DI}
    $07/                {POP  ES}
    $5E/                {POP  SI}
    $5A/                {POP  DX}
    $1E/                {PUSH DS}
    $55/                {PUSH BP}
    $BB/$00/$00/        {MOV  BX,0}
    $BD/$00/$00/        {MOV  BP,0}
    $8E/$DA/            {MOV  DS,DX}

    $8B/$04/            {MOV  AX,[SI]}
    $26/$F7/$2D/        {IMUL ES:[DI]}
    $01/$C3/            {ADD  BX,AX}
    $11/$D5/            {ADC  BP,DX}
    $46/                {INC  SI}
    $46/                {INC  SI}
    $47/                {INC  DI}
    $47/                {INC  DI}
    $E2/$F1/            {LOOP}

    $D1/$D3/            {RCL  BX}
    $D1/$D5/            {RCL  BP}
    $D1/$D3/            {RCL  BX}
    $D1/$D5/            {RCL  BP}
    $89/$E8/            {MOV  AX,BP}
    $5D/                {POP  BP}
    $1F                 {POP  DS}
);


IMPLEMENTATION

END.
